Subject: bug#11205: 24.0.95; starttls-use-gnutls no longer being honored

From: Glenn Morris <[email-masked]>
Date: Sun, 08 Apr 2012 21:04:35 -0400

[email-masked] wrote:

> How do I get Gnus (and presumably other Emacs networked programs) to
> not use GnuTLS when `starttls-use-gnutls' is nil?

etc/NEWS

  *** SMTPmail now uses encrypted connections (via STARTTLS) by default
  if the mail server supports them.  This uses either built-in GnuTLS
  support, or the starttls.el library.  Customize `smtpmail-stream-type'
  to change this.

> [Presumably, I can make the GnuTLS DLLs unavailable temporarily to
> achive this, but setting the variable `starttls-use-gnutls' to nil
> used to accomplish this, i.e. this is a regression.]

No previous release of Emacs has had built-in GnuTLS support.